com.taosdata.jdbc.utils

## Class VersionUtil

- java.lang.Object
- - com.taosdata.jdbc.utils.VersionUtil

    public class VersionUtil
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `checkVersion(String version)`
`static int` `compareVersions(String v1, String v2)`
`static String` `getVersion(Transport transport)`
`static boolean` `surpportBlob(String version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### checkVersion

    public static boolean checkVersion(String version)
                                throws SQLException

Throws:
  `SQLException`

#### getVersion

    public static String getVersion(Transport transport)
                             throws SQLException

Throws:
  `SQLException`

#### surpportBlob

    public static boolean surpportBlob(String version)

#### compareVersions

    public static int compareVersions(String v1,
                                      String v2)
                               throws SQLException

Throws:
  `SQLException`